import time, os, sys

if os.path.exists("zip/"+ str(sys.argv[3]) +"/genbank.zip"):		
	os.system("unzip zip/"+ str(sys.argv[3]) +"/genbank.zip -d zip/"+ str(sys.argv[3]))	
elif os.path.exists("zip/"+ str(sys.argv[3]) +"/genbank.gz"):
	os.system("gzip zip/"+ str(sys.argv[3]) +"/genbank.gz -d zip/"+ str(sys.argv[3]))

if os.path.exists("zip/"+ str(sys.argv[3]) +"/gyra.fas"):
	if sys.argv[5] != '0' and sys.argv[6] == '1':
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]) + ' -r '  + str(sys.argv[5]))
        elif sys.argv[6] != '1' and sys.argv[7] == 'No':
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]) + ' -y '  + str(sys.argv[6]))
        elif sys.argv[6] == '1' and sys.argv[7] == 'Yes':
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]) + ' -e '  + str(sys.argv[7]))
        elif sys.argv[6] != '1' and sys.argv[7] == 'Yes':
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]) + ' -y '  + str(sys.argv[6]) + ' -e '  + str(sys.argv[7]))
	elif sys.argv[5] != '0' and sys.argv[6] != '0':
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]) + ' -r '  + str(sys.argv[5]) + ' -y '  + str(sys.argv[6]))
	else:
		os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]) + ' -g ' + str(sys.argv[4]))
else:
	os.system("/usr/local/bin/python3.4 run.py -f " + str(sys.argv[3]))

